Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2118 - finger doesn't check for exact matches unless -m is passed
Summary: finger doesn't check for exact matches unless -m is passed
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: finger
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-11 05:03 UTC by Nalin Dahyabhai
Modified: 2015-01-07 23:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-28 15:41:23 UTC


Attachments (Terms of Use)

Description Nalin Dahyabhai 1999-04-11 05:03:50 UTC
Unless a user invokes finger with the '-m' switch, it doesn't
bother to check for an exact match for a user name using
getpwnam().  If the nsswitch module that contains the info
about that user doesn't provide a getpwent() function (like
hesiod), finger will always fail without that '-m' flag.
Whether this is actually a bug is debatable because the man
page isn't too clear on what should be done.  I'm about to
mail in a patch to fix this anyway.

------- Email Received From  Nalin Dahyabhai <nalin@thermo.stat.ncsu.edu> 04/11/99 01:07 -------


------- Email Received From  Stepan Kasal <kasal@matsrv.math.cas.cz> 05/10/99 08:56 -------

Comment 1 Jeff Johnson 1999-07-28 15:41:59 UTC
Fixed in finger-0.10-25. Thanks for the patches.


Note You need to log in before you can comment on or make changes to this bug.